extends Node

@onready var actor = get_parent().get_parent()

# Set by owner
var direction: Vector2

# Input dir to velocity
@export var input_to_vel_x: Curve
# Y to the left side of 0.5 is up, and right of 0.5 is down
@export var input_to_vel_y: Curve

func enter(_args):
	pass

func update(_delta):
	var output_vel := Vector2.ZERO
	output_vel.x = input_to_vel_x.sample(abs(direction.x)) * direction.x
	output_vel.y = input_to_vel_y.sample(direction.y/2 + 0.5) * direction.y
	actor.velocity = output_vel
	actor.move_and_slide()
