# Sliding down a wall
extends Node

@onready var actor = get_parent().get_parent()

@export var slide_accel: float
@export var slide_speed: float
@export var x_launch: float
@export var wall_jump_stats: JumpStats

func enter(_args):
	pass

func update(delta):
	actor.velocity.y = move_toward(actor.velocity.y, slide_speed, delta * slide_accel)
	actor.move_and_slide()

# Called by owner
func jump():
	if actor.looking_right: actor.velocity.x -= x_launch
	else:                   actor.velocity.x += x_launch
	actor.velocity.y = - wall_jump_stats.initial_velocity
	return wall_jump_stats

